Bug 504227 - kickstart.* api docs should be updated to add "none" virtualizationType
kickstart.* api docs should be updated to add "none" virtualizationType
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
: EasyFix
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-06-04 16:33 EDT by Sayli Karmarkar
Modified: 2009-09-10 15:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-06-04 16:33:11 EDT
Description of problem:
Kickstart profile creation related api docs currently say:

...
string virtualizationType - para_host, qemu, xenfv or xenpv. 
...

Now that we have included "none" as a virtualization type in webui, we should update api docs to include it.
Comment 1 Brad Buckingham 2009-06-05 13:17:46 EDT
master git commit: cd06e21fb4f52e898601e9a621f9711d8973fc04
vader git commit: 3aadd2052cc52a3a56f19c878ddd2dab5c457c4c

Added 'none' as a valid virt type for the APIs in the kickstart handler. Unfortunately, when the UI was changed, the API was neglected... :(
Comment 2 Sayli Karmarkar 2009-06-12 13:49:25 EDT
verified.
Comment 3 Jan Hutař 2009-08-24 04:15:15 EDT
I was able to create all 5 types of KS profiles through XMLRPC API and also checked docs => RELEASE_PENDING.
Comment 4 Brandon Perkins 2009-09-10 15:55:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.